glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::OptionError Class Reference

Exception class for options. More...

`#include <glibmm/optioncontext.h>`

Inheritance diagram for Glib::OptionError:
[legend]

## Public Types

enum | Code { UNKNOWN_OPTION, BAD_VALUE, FAILED }

## Public Member Functions

| OptionError (Code error_code, const Glib::ustring& error_message)
| OptionError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for options.

## Member Enumeration Documentation

enum Glib::OptionError::Code

Enumerator:

  UNKNOWN_OPTION |
  BAD_VALUE |
  FAILED |

## Constructor & Destructor Documentation

Glib::OptionError::OptionError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::OptionError::OptionError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Glib::OptionError::code | ( |  | ) | const